<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>

<meta http-equiv="refresh" content="2; url=../forms.php" />

<center>
<h3 class="maketitle">Geometric theorems - Insert a New Prover/Drawer Author</h3>
</center>

<hr/>



<?php
require('loginsub.php');
?>

<?php

$pName           = $_POST['Name'];
$pAffiliation    = $_POST['Affiliation'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];


// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc())
  { $pName           = addslashes('$pName');         
    $pAffiliation    = addslashes('$pAffiliation');   
    $pURL            = addslashes('$pURL');           
    $pEmail          = addslashes('$pEmail');         
    $pDateSubmission = addslashes('$pDateSubmission');
  }


$sqlInsertAuthor = 
     "INSERT INTO authors
       (name,affiliation,url,email,dateSubmission)
      VALUES 
       ('$pName','$pAffiliation','$pURL','$pEmail','$pDateSubmission')";


$resultadoInsertAuthor = mysql_query($sqlInsertAuthor,$ligacao);

if ($resultadoInsertAuthor) {
  echo 'New Author Inserted.'; 
 }
 else
   echo 'Error - Author not inserted!';
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
